/*
 * main.cpp: Commercial Scan main program
 *
 * Copyright (C) 2003 Andreas Regel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 * The author can be reached at andreas.regel@gmx.de
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

extern "C"
{
#include <ffmpeg/avcodec.h>
}

#include "global.h"
#include "util.h"
#include "scanner.h"

cRecordings Recordings;

int main(int argc, char **argv)
{
	SysLogLevel = 1;

//	char file[1000];

//	sprintf(file, "%s/snd.raw", kFilePath);
//	rawFile = fopen(file, "wb");
//	sprintf(file, "%s/snd.mpa", kFilePath);
//	mpegFile = fopen(file, "wb");
//	sprintf(file, "%s/vidy.raw", kFilePath);
//	rawYVideoFile = fopen(file, "wb");
//	sprintf(file, "%s/vidu.raw", kFilePath);
//	rawUVideoFile = fopen(file, "wb");
//	sprintf(file, "%s/vidv.raw", kFilePath);
//	rawVVideoFile = fopen(file, "wb");
//	sprintf(file, "%s/vid.mpv", kFilePath);
//	mpegVideoFile = fopen(file, "wb");

	/* must be called before using avcodec lib */
	avcodec_init();

	/* register all the codecs (you can also register only the codec
	   you wish to have smaller code */
	avcodec_register_all();

	const char *filename;

	if (argc <= 1)
	{
		Recordings.Load(false);
		if (Recordings.Count() == 0)
			return 0;
		int last = Recordings.Count();
		for (int i = 0; i < last; i++)
		{
			cRecording *rec = Recordings.Get(i);
			filename = rec->FileName();
			if (kVerbose)
				printf("%s\n", filename);
			cCommercialScanner *scanner;
			scanner = new cCommercialScanner(filename);
			scanner->Process();
			delete scanner;
		}
	}
	else
	{
		filename = argv[1];
		if (kVerbose)
			printf("%s\n", filename);
		cCommercialScanner *scanner;
		scanner = new cCommercialScanner(filename);
		scanner->Process();
		delete scanner;
	}

//	fclose(rawFile);
//	fclose(mpegFile);
//	fclose(rawYVideoFile);
//	fclose(rawUVideoFile);
//	fclose(rawVVideoFile);
//	fclose(mpegVideoFile);

	return 0;
}
